
Redmine - Defect #9841

ActionView::TemplateError (undefined method `project_destroy_confirm_path'

2011-12-19 11:09 - Mario Luzeiro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Tring access to project administration with last SVN version:

Processing AdminController#projects (for 192.168.3.70 at 2011-12-19 10:07:41) [GET]

  Parameters: {"action"=>"projects", "controller"=>"admin"}

Rendering template within layouts/admin

Rendering admin/projects

ActionView::TemplateError (undefined method `project_destroy_confirm_path' for #<ActionView::Base:

0xde15ea8>) on line #37 of app/views/admin/projects.html.erb:

34:     <%= link_to(l(:button_archive), { :controller => 'projects', :action => 'archive', :id => 

project, :status => params[:status] }, :confirm => l(:text_are_you_sure), :method => :post, :class

 => 'icon icon-lock') if project.active? %>

35:     <%= link_to(l(:button_unarchive), { :controller => 'projects', :action => 'unarchive', :id

 => project, :status => params[:status] }, :method => :post, :class => 'icon icon-unlock') if !pro

ject.active? && (project.parent.nil? || project.parent.active?) %>

36:     <%= link_to(l(:button_copy), { :controller => 'projects', :action => 'copy', :id => projec

t }, :class => 'icon icon-copy') %>

37:     <%= link_to(l(:button_delete), project_destroy_confirm_path(project), :class => 'icon icon

-del') %>

38:   </td>

39:   </tr>

40: <% end %>

    app/views/admin/projects.html.erb:37

    app/models/project.rb:669:in `project_tree'

    app/models/project.rb:665:in `each'

    app/models/project.rb:665:in `project_tree'

    app/helpers/application_helper.rb:267:in `project_tree'

    app/views/admin/projects.html.erb:28

History

#1 - 2011-12-19 11:33 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

You are not using the latest version or the project view is overloaded by a plugin: source:/trunk/app/views/admin/projects.html.erb#L37.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/admin/projects.html.erb#L37
http://www.tcpdf.org

